.SidebarCart {
    max-width: 568px;
    width: 100%;
    background-color: #fff;
    position: fixed;
    right: 0;
    top: 0;
    height: 100vh;
    z-index: 9999;
    transform: translateX(100%);
    transition: 0.4s ease;
    &.is-loading {
        &::after {
            content: '';
            top: 0;
            left: 0;
            bottom: 0;
            right: 0;
            position: absolute;
            background-color: #fff;
            opacity: 0.6;
            z-index: 10000;
        }
    }
    &.active {
        transform: translateX(0);
    }

    &__footer,
    &__content,
    &__heading {
        padding-left: 64px;
        padding-right: 64px;
    }

    &__footer {
        border-top: 1px solid #ecedf0;
        padding-top: 40px;
        padding-bottom: env(safe-area-inset-bottom);
        margin-bottom: 40px;
    }

    &__content {
        padding-top: 25px;
        padding-bottom: 25px;
        overflow-y: auto;
        height: calc(100vh - 352px);
    }

    &__heading {
        padding-top: 42px;
        padding-top: 59px;
        padding-bottom: 59px;
        display: flex;
        border-bottom: 1px solid #ecedf0;
        align-items: center;
        justify-content: space-between;

        svg {
            width: 16px;
            height: 16px;
        }
    }
}
